/// <reference types="react" />
export declare const Sidebar: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").IAppSidebarProps> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").IAppSidebarProps>>, Topline: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").IAppToplineProps> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").IAppToplineProps>>, CommonLayout: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").IAppLayoutProps> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").IAppLayoutProps>>, Input: import("@platform/tools/istore-react").IMappedComponents<{
    Text: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps>;
    Name: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    Number: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui/dist-types/inputs/number").INumberInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    Password: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui/dist-types/inputs/password").IPasswordInputProps>;
    ConfirmationCode: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    BIC: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    Identity: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    OGRN: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    OGRNIP: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    INN: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    INNUL: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    OKATO: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    OKPO: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    TaxAgencyCode: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    Captcha: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui/dist-types/inputs/captcha").ICaptchaProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    InputWithButton: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputWithButtonProps>;
    PassportNumber: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IInputProps & import("react").RefAttributes<import("@platform/ui").TextInput>>;
    TextArea: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IAutoSizeInputProps & import("react").RefAttributes<import("@platform/ui").Horizon>>;
    AutoSizeInput: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IAutoSizeInputProps & import("react").RefAttributes<import("@platform/ui").Horizon>>;
    Account: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Phone: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Time: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Date: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IDataPickerPropsTypes>;
    Money: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    SNILS: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Passport: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    PassportSerial: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    PassportBranchCode: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    OKVED: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    License: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    UUID: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    KPP: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Percent: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Omit<import("@platform/ui").IMaskedInputProps, "maskType"> & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
    Checkbox: import("react").ForwardRefExoticComponent<Pick<import("@platform/ui").IWithValidationCallbacks & import("@platform/ui/dist-types/core").IInputWithValidation & Pick<import("@platform/ui").ICheckboxProps, "data" | "cite" | "form" | "label" | "slot" | "span" | "style" | "summary" | "title" | "pattern" | "children" | "value" | "name" | "type" | "id" | "src" | "accept" | "acceptCharset" | "action" | "allowFullScreen" | "allowTransparency" | "alt" | "as" | "async" | "autoComplete" | "autoFocus" | "autoPlay" | "capture" | "cellPadding" | "cellSpacing" | "charSet" | "challenge" | "checked" | "classID" | "cols" | "colSpan" | "content" | "controls" | "coords" | "crossOrigin" | "dateTime" | "default" | "defer" | "disabled" | "download" | "encType" | "formAction" | "formEncType" | "formMethod" | "formNoValidate" | "formTarget" | "frameBorder" | "headers" | "height" | "high" | "href" | "hrefLang" | "htmlFor" | "httpEquiv" | "integrity" | "keyParams" | "keyType" | "kind" | "list" | "loop" | "low" | "manifest" | "marginHeight" | "marginWidth" | "max" | "maxLength" | "media" | "mediaGroup" | "method" | "min" | "minLength" | "multiple" | "muted" | "nonce" | "noValidate" | "open" | "optimum" | "placeholder" | "playsInline" | "poster" | "preload" | "readOnly" | "rel" | "required" | "reversed" | "rows" | "rowSpan" | "sandbox" | "scope" | "scoped" | "scrolling" | "seamless" | "selected" | "shape" | "size" | "sizes" | "srcDoc" | "srcLang" | "srcSet" | "start" | "step" | "target" | "useMap" | "width" | "wmode" | "wrap" | "defaultChecked" | "defaultValue" | "suppressContentEditableWarning" | "suppressHydrationWarning" | "accessKey" | "className" | "contentEditable" | "contextMenu" | "dir" | "draggable" | "hidden" | "lang" | "spellCheck" | "tabIndex" | "translate" | "radioGroup" | "role" | "about" | "datatype" | "inlist" | "prefix" | "property" | "resource" | "typeof" | "vocab" | "autoCapitalize" | "autoCorrect" | "autoSave" | "color" | "itemProp" | "itemScope" | "itemType" | "itemID" | "itemRef" | "results" | "security" | "unselectable" | "inputMode" | "is" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "hasError" | "extraSmall" | "hasWarning" | "dimension" | "indeterminate"> & import("react").RefAttributes<HTMLLabelElement>, "data" | "cite" | "form" | "label" | "slot" | "span" | "style" | "summary" | "title" | "pattern" | "children" | "value" | "name" | "type" | "id" | "src" | "accept" | "acceptCharset" | "action" | "allowFullScreen" | "allowTransparency" | "alt" | "as" | "async" | "autoComplete" | "autoFocus" | "autoPlay" | "capture" | "cellPadding" | "cellSpacing" | "charSet" | "challenge" | "checked" | "classID" | "cols" | "colSpan" | "content" | "controls" | "coords" | "crossOrigin" | "dateTime" | "default" | "defer" | "disabled" | "download" | "encType" | "formAction" | "formEncType" | "formMethod" | "formNoValidate" | "formTarget" | "frameBorder" | "headers" | "height" | "high" | "href" | "hrefLang" | "htmlFor" | "httpEquiv" | "integrity" | "keyParams" | "keyType" | "kind" | "list" | "loop" | "low" | "manifest" | "marginHeight" | "marginWidth" | "max" | "maxLength" | "media" | "mediaGroup" | "method" | "min" | "minLength" | "multiple" | "muted" | "nonce" | "noValidate" | "open" | "optimum" | "placeholder" | "playsInline" | "poster" | "preload" | "readOnly" | "rel" | "required" | "reversed" | "rows" | "rowSpan" | "sandbox" | "scope" | "scoped" | "scrolling" | "seamless" | "selected" | "shape" | "size" | "sizes" | "srcDoc" | "srcLang" | "srcSet" | "start" | "step" | "target" | "useMap" | "width" | "wmode" | "wrap" | "defaultChecked" | "defaultValue" | "suppressContentEditableWarning" | "suppressHydrationWarning" | "accessKey" | "className" | "contentEditable" | "contextMenu" | "dir" | "draggable" | "hidden" | "lang" | "spellCheck" | "tabIndex" | "translate" | "radioGroup" | "role" | "about" | "datatype" | "inlist" | "prefix" | "property" | "resource" | "typeof" | "vocab" | "autoCapitalize" | "autoCorrect" | "autoSave" | "color" | "itemProp" | "itemScope" | "itemType" | "itemID" | "itemRef" | "results" | "security" | "unselectable" | "inputMode" | "is" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "key" | "hasError" | "extraSmall" | "hasWarning" | "dimension" | "indeterminate" | keyof import("@platform/ui").IWithValidationCallbacks | keyof import("@platform/ui/dist-types/core").IInputWithValidation> & import("react").RefAttributes<any>>;
    Toggle: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IToggleProps & import("react").RefAttributes<HTMLLabelElement>>;
    Select: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").ISelectProps>;
    RadioGroup: import("react").ComponentType<import("@platform/ui").IInputWithValidation & Pick<import("@platform/ui").IRadioGroupProps, "data" | "cite" | "form" | "label" | "slot" | "span" | "style" | "summary" | "title" | "pattern" | "children" | "options" | "value" | "name" | "type" | "id" | "src" | "accept" | "acceptCharset" | "action" | "allowFullScreen" | "allowTransparency" | "alt" | "as" | "async" | "autoComplete" | "autoFocus" | "autoPlay" | "capture" | "cellPadding" | "cellSpacing" | "charSet" | "challenge" | "checked" | "classID" | "cols" | "colSpan" | "content" | "controls" | "coords" | "crossOrigin" | "dateTime" | "default" | "defer" | "disabled" | "download" | "encType" | "formAction" | "formEncType" | "formMethod" | "formNoValidate" | "formTarget" | "frameBorder" | "headers" | "height" | "high" | "href" | "hrefLang" | "htmlFor" | "httpEquiv" | "integrity" | "keyParams" | "keyType" | "kind" | "list" | "loop" | "low" | "manifest" | "marginHeight" | "marginWidth" | "max" | "maxLength" | "media" | "mediaGroup" | "method" | "min" | "minLength" | "multiple" | "muted" | "nonce" | "noValidate" | "open" | "optimum" | "placeholder" | "playsInline" | "poster" | "preload" | "readOnly" | "rel" | "required" | "reversed" | "rows" | "rowSpan" | "sandbox" | "scope" | "scoped" | "scrolling" | "seamless" | "selected" | "shape" | "size" | "sizes" | "srcDoc" | "srcLang" | "srcSet" | "start" | "step" | "target" | "useMap" | "width" | "wmode" | "wrap" | "defaultChecked" | "defaultValue" | "suppressContentEditableWarning" | "suppressHydrationWarning" | "accessKey" | "className" | "contentEditable" | "contextMenu" | "dir" | "draggable" | "hidden" | "lang" | "spellCheck" | "tabIndex" | "translate" | "radioGroup" | "role" | "about" | "datatype" | "inlist" | "prefix" | "property" | "resource" | "typeof" | "vocab" | "autoCapitalize" | "autoCorrect" | "autoSave" | "color" | "itemProp" | "itemScope" | "itemType" | "itemID" | "itemRef" | "results" | "security" | "unselectable" | "inputMode" | "is" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "key" | "hasError" | "hasWarning" | "horizontal" | "contentWidth" | "addon"> & import("react").RefAttributes<HTMLDivElement>>;
    SwitchBar: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").ISwitchBarProps<any> & import("react").RefAttributes<HTMLDivElement>>;
    MultiSelect: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui").IMultiSelectProps>;
    CheckboxGroup: import("react").ForwardRefExoticComponent<import("@platform/ui").IWithValidationCallbacks & import("@platform/ui").ICheckboxGroupProps<string> & import("react").RefAttributes<any>>;
    Range: import("react").ComponentType<import("@platform/ui").IInputWithValidation & import("@platform/ui/dist-types/inputs/input-range").IInputRangeProps & import("react").RefAttributes<import("@platform/ui").MaskedInput>>;
}>, Timer: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").ITimerProps> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").ITimerProps>>, RegularButton: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").IRegularButtonProps & import("react").RefAttributes<HTMLButtonElement>> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").IRegularButtonProps & import("react").RefAttributes<HTMLButtonElement>>>, PrimaryButton: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").IPrimatyButtonProps & import("react").RefAttributes<HTMLButtonElement>> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").IPrimatyButtonProps & import("react").RefAttributes<HTMLButtonElement>>>, Link: import("react").ComponentType<import("@platform/tools/istore-react").ILifecicleProps<import("@platform/ui").ILinkProps> & import("@platform/tools/istore-react").WithSelectors<import("@platform/ui").ILinkProps>>;
